Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.apps.systray
Class ConfigFile

    java.lang.Object
      net.i2p.apps.systray.ConfigFile

    public class ConfigFile

extends Object

Simple config file handler. Warning - browser needs double quotes and double backslashes on Windows e.g. browser="C:\\Program Files\\Mozilla Firefox\\firefox.exe"

Author:
  hypercubus

Constructor Summary
`ConfigFile()`

Method Summary
`String` | `getProperty(String key)`
`String` | `getProperty(String key, String defaultValue)`
`boolean` | `init(String configFile)` Initializes the `ConfigFile` object.
`void` | `setProperty(String key, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigFile

    public ConfigFile()

Method Detail

### init

    public boolean init(String configFile)

  Initializes the `ConfigFile` object.

  Parameters:
    `configFile` - The config file to use.
  Returns:
    `false` if the given config file cannot be located or accessed, otherwise `true`.

### getProperty

    public String getProperty(String key)

### getProperty

    public String getProperty(String key,
                              String defaultValue)

### setProperty

    public void setProperty(String key,
                            String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD